package com.muyu.domain.resp;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 公司数据总数响应对象
 * @Author：weiran
 * @Package：com.muyu.firmmanage.domain.resp.firmlist
 * @Project：cloud-server-8
 * @name：FirmTotalListResp
 * @Date：2024/9/27 19:42
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "公司数据总数列表",description = "数据总数响应")
public class FirmTotalListResp {

    private List<FirmListResp> firmListRespList;

    private long total;

    public static FirmTotalListResp firmTotalListResp(List<FirmListResp> firmListRespList,long toal){
        FirmTotalListResp firmTotalListResp = new FirmTotalListResp();
        firmTotalListResp.setFirmListRespList(firmListRespList);
        firmTotalListResp.setTotal(toal);
        return firmTotalListResp;
    }
}
